import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function websitGoodsAlonePList(data) {
  return request({
    url: `/websit/goods/alone/p/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function websitGoodsAlonePListExport(data, name) {
  return postBlob({
    url: '/websit/goods/alone/p/list/export',
    data,
    name
  })
}

export function websitGoodsAlonePImport(data) {
  return handleImport('/websit/goods/alone/p/import', data.formdata, data.id || '')
}
